Invite a member. New accounts get a one-time temporary password.
POST
/api/v1/members
const url = 'https://example.com/api/v1/members';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"carol@example.com","display_name":"example","role":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/members \ --header 'Content-Type: application/json' \ --data '{ "email": "carol@example.com", "display_name": "example", "role": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
email
required
string
Example
carol@example.comdisplay_name
string | null
role
viewer, developer, admin or owner.
string
Responses
Section titled “Responses”Media typeapplication/json
object
member
required
object
id
required
string
email
required
string
display_name
string | null
role
required
string
must_change_password
required
Invited and has not replaced the temporary password yet.
boolean
active
required
boolean
temporary_password
Temporary password for a newly created account. Shown once; it must be
replaced at the first login. null when the user already existed.
string | null
Examplegenerated
{ "member": { "id": "example", "email": "example", "display_name": "example", "role": "example", "must_change_password": true, "active": true }, "temporary_password": "example"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}